"""pipeline hook table

Revision ID: ff51a24c371b
Revises: 46fecb01802e
Create Date: 2020-03-13 13:15:05.394006

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ff51a24c371b'
down_revision = '46fecb01802e'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('pipeline_hook',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('branch', sa.String(length=100), nullable=True),
    sa.Column('status', sa.String(length=8), nullable=True),
    sa.Column('service', sa.String(length=50), nullable=True),
    sa.Column('filename', sa.String(length=50), nullable=True),
    sa.Column('secret_token', sa.String(length=128), nullable=True),
    sa.Column('project_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['project_id'], ['project.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('pipeline_hook')
    # ### end Alembic commands ###
